/*  Definitions for bitflags  */
typedef unsigned short int tgaFLAG;

#define  TGA_DEFAULT		0    /* In case we don't want any parameters */
#define 	TGA_FREE			1    /* Bit flag 0 */
#define	TGA_NO_FREE		2    /* Bit flag 1 */
#define	TGA_ALPHA		4    /* Bit flag 2 */
#define	TGA_LUMINANCE	8    /* Bit flag 3 */

typedef struct {
	unsigned char id_length;
	unsigned char colour_map_type;
	unsigned char image_type;

   // colourmap spec.  5 bytes
   short int     colour_map_first_entry;  // Ignore
   //short int     colour_map_length;       // Usually 256
   unsigned char  colour_map_length;       // Usually 256
   unsigned char colour_map_entry_size;   // Usually 24-bit

   // image spec.  10 bytes
   short int     x_origin;  // Ignore
	short int     y_origin;  // Ignore
   short int     width;
	short int     height;
   unsigned char pixel_depth;       // Usually 24 or 32
	unsigned char image_descriptor;  // Ignore
} tgaHeader_t;


typedef struct {

	tgaHeader_t		info;

   unsigned char 	*data;      /* Image data */

   unsigned char 	*palette;   /* Default palette - if required */
} image_t;


/* 'Public' functions */


int tgaLoadImage   ( char *file_name, image_t *p, tgaFLAG mode );
int tgaLoadPalette ( char *file_name, unsigned char *palette );

void tgaSetTexParams  ( unsigned int filter_type, unsigned int application );
void tgaChangePalette ( unsigned char *palette );

void tgaFree ( image_t *p );
void tgaGetColorEXT ( void );
